/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_SLAMSERVICE_SLAMSERVICE_COMMON_H
#define JAC_AP_SLAMSERVICE_SLAMSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "dpc/impl_type_position.h"
#include "dpc/impl_type_attribute.h"
#include "dpc/impl_type_line_point.h"
#include "dpc/impl_type_line.h"
#include "dpc/impl_type_speed_limit.h"
#include "dpc/impl_type_traffic_object.h"
#include "dpc/impl_type_lane.h"
#include "dpc/impl_type_roadedge.h"
#include "dpc/impl_type_slam_road_model.h"
#include "dpc/impl_type_adjacentextendlanestruct.h"
#include "dpc/impl_type_smastruct.h"
#include "dpc/impl_type_wpextendlanestruct.h"
#include "dpc/impl_type_remindwaypointstruct.h"
#include "dpc/impl_type_controlwaypointstruct.h"
#include "dpc/impl_type_msgheader.h"
#include "dpc/impl_type_transitlanestruct.h"
#include "dpc/impl_type_controlwaypoints.h"
#include "dpc/impl_type_slam_odometry.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace slamservice {

class SLAMService {
public:
    constexpr SLAMService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/SLAMService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace slamservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_SLAMSERVICE_SLAMSERVICE_COMMON_H
